/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/DIAGNOST.H__   1.2.1.5   17 Apr 1997 15:47:56   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/DIAGNOST.H__  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:47:56   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:19:14   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:30:38   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:11:34   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:16:36   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:27:44   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:45:42   ZJRD
** Initial revision.
** 
**    Rev 1.7.1.0.1.2   09 Dec 1996 10:16:38   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.7.1.0.1.0   11 Nov 1996 12:59:54   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.7.1.4   09 Sep 1996 13:19:36   ZJRD
** No change.
** 
**    Rev 1.7.1.3   05 Sep 1996 11:31:06   ZJRD
** No change.
** 
**    Rev 1.7.1.2   02 Sep 1996 09:58:10   ZJRD
** No change.
** 
**    Rev 1.7.1.1   28 Aug 1996 15:48:10   ZJRD
** No change.
** 
**    Rev 1.7.1.0   12 Aug 1996 10:52:44   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.5   05 Jun 1996 14:56:02   ZJRD
** No change.
** 
**    Rev 1.4   29 May 1996 09:37:20   ZJRD
** No change.
** 
**    Rev 1.3   16 May 1996 09:01:56   ZJRD
** No change.
** 
**    Rev 1.2   10 May 1996 09:16:48   ZJRD
** No change.
** 
**    Rev 1.1   02 May 1996 10:31:10   ZJRD
** EasyPack/SLD Version 1.92
** 
**    Rev 1.1   18 Apr 1996 12:56:26   Shirley
** EasyPack/SLD Version 1.91
** 
**    Rev 1.0   12 Apr 1996 10:35:56   Shirley
** Initial revision.
** 
****************************************************************************/
// diagnost.h : header file
//
//john chow 96.3
/////////////////////////////////////////////////////////////////////////////
// CDiagnosticBox dialog
#ifndef _DIAGNOST_
#define _DIAGNOST_ 
#include "resource.h"
#include "abitype.h"
#include "abiextfn.h"

STATUS AbiDiagnostic(unsigned char uchOption);

class CDiagnosticBox : public CDialog
{
// Construction
public:
	CDiagnosticBox(CWnd* pParent = NULL);	// standard constructor

//member
public:
   BOOL m_BHasSaved;
// Dialog Data
	//{{AFX_DATA(CDiagnosticBox)
	enum { IDD = IDD_DIAGNOSTICBOX };
	CButton	m_buttonEmulationRam;
	CButton	m_buttonCheckTraceRam;
	CButton	m_buttonCheckSpoonRam;
	CButton	m_buttonCheckPIOCTC;
	CButton	m_buttonCheckMapRam;
	CButton	m_buttonCheckEventDataRam;
	CButton	m_buttonCheckEventAddrRam;
	CButton	m_buttonDetail;
	CButton	m_buttonDiagnostic;
	CButton	m_buttonCheckAll;
	CString	m_POIResult;
	CString	m_MAPRAMResult;
	CString	m_EVENTADDRResult;
	CString	m_EVENTDATARAMResult;
	CString	m_SPOONRAMResult;
	CString	m_EMULATIONRAMResult;
	CString	m_TRACERAMResult;
	//}}AFX_DATA

// Implementation
private:
    void DecideDiagnosticButtonStatus();
    void DecideDetailButtonStatus();
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CDiagnosticBox)
	afx_msg void OnButtonDiagnostic();
	afx_msg void OnCheckAll();
	afx_msg void OnCheckPioctc();
	afx_msg void OnCheckEventaddrram();
	afx_msg void OnCheckEventdataram();
	afx_msg void OnCheckMapram();
	afx_msg void OnCheckSpoonram();
	afx_msg void OnCheckTraceram();
	afx_msg void OnEmulationram();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
#endif
//support for shell window's command                  
extern void ShowLine(char *);
extern int TestKey(WORD);
extern void DiagnosticCmd(int nArgc, char* pszArgv[]);
extern void	SaveAllConfig(void);//save all HW settings supported by Chris
extern void	RestoreAllConfig(void);
